using IWS5.Core.DTO;
using IWS5.Core.Models;
using IWS5.Core.Models.Request;

namespace IWS5.Core.Services;

public interface IAuthenticationService
{
    Task<CodeResponse<LogInResponseDto>> Login(LogInCredentials logInCredentials);
    Task<CodeResponse<LogInResponseDto>> RefreshTokenAsync(RefreshTokenRequest refreshTokenRequest);
    Task<CodeResponse<LogOutResponseDto>> LogOut(LogOutRequest logOutRequest);
}
